---
permalink: '/contributors/developers'

heading: GNOME Developers
description: Find out more about the people that drive GNOME Development

developers:
  heading: See our Developers!
  description: Below you see a complete list of our GNOME Developers grouped by Project they contribute with code!
  subheading: developers of
---

{% include header.html %}
{% assign navbar_type = "dark" %}
{% include navbar.html %}
{% include subheader.html
        image='/assets/img/triangle.png'
        heading=page.heading
        description=page.description %}

{% include contributors/projects-carousel.html
        heading=page.developers.heading
        description=page.developers.description %}

<section class="pt-5 pb-4 bg-light" id="team">
    <div class="container">
        {% assign projects = site.data.projects %}
        {% for project in projects %}
            <div class="gnome-project" data-index-project="{{ forloop.index | default: 1 }}">
                <div class="row no-gutters d-flex justify-content-start">
                    <h6 class="d-none d-md-block col-12 text-primary small font-weight-normal letter-spacing-custom pl-0">{{ page.developers.subheading | upcase }}</h6>
                    <div class="row no-gutters d-flex justify-content-start pt-1">
                        <div class="col-12 col-sm-auto pb-2 mr-3">
                            {% if project.icon and project.icon != "" %}
				<img data-src="{{ project.icon }}"
				    class="float-left app-icon-small img-fluid app-icon icon-dropshadow lazyload"
				    alt="{{ project.name | append: ' logo'}}">
                            {% else %}
                                {% include project-text-icon.html name=project.name %}
                            {% endif %}
                        </div>
                        <div class="col">
                            <h6 class="d-block pl-0 d-md-none col-12 text-primary small font-weight-normal letter-spacing-custom">{{ page.developers.subheading | upcase }}</h6>
                            <h4 class="font-weight-light mb-1 gnome-project-name">
                                <a href="{{ project.repository }}" target="_blank"
                                   class="text-dark text-decoration-none">{{ project.name }}</a>
                            </h4>
                            <small class="text-muted">{{ project.description }}</small>
                        </div>
                    </div>
                </div>
                <div class="row d-flex justify-content-start pt-4 pb-4 project-members">
                    {% for member_hash in site.data.members %}
                        {% if member_hash[1].active == true and project.developers contains member_hash[0] %}
                            {% assign member = member_hash[1] %}
                            {% capture widgets %}
                                {% include member-sections/member-social.html list=member.social %}
                            {% endcapture %}
                            {% include member-sections/member.html member=member widgets=widgets %}
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
        {% endfor %}
    </div>
</section>

{% include footer.html %}
{% include scripts.html %}

<script src="{{ '/assets/js/app-slider.js' | relative_url }}"></script>
<script src="{{ '/assets/3rd-party/slick-carousel/slick/slick.min.js' | relative_url }}"></script>
<script src="{{ '/assets/js/filter-members.js' | relative_url }}"></script>
<script src="{{ '/assets/js/filter-projects.js' | relative_url }}"></script>
<script src="{{ '/assets/js/go-to-top.js' | relative_url }}"></script>
